## slony1 1.2.21

=== doc/Makefile ===
# ----------
# Makefile for doc
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	$Id: Makefile,v 1.12.2.1 2009-08-17 17:39:57 devrim Exp $
# ----------

slony_subdir = doc
slony_top_builddir = ..
include $(slony_top_builddir)/Makefile.global

SUBDIRS = concept implementation howto adminguide

DISTFILES = Makefile

all clean distclean maintainer-clean install installdirs:
	@for subdir in $(SUBDIRS) ; do \
		$(MAKE) -C $$subdir $@ || exit; \
	done


distdir: $(DISTFILES)
	mkdir -p $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	@for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done
	@for subdir in $(SUBDIRS) ; do \
		$(MAKE) -C $$subdir distdir || exit; \
	done

adminguide.tar:

	$(MAKE) -C adminguide clean
	$(MAKE) -C adminguide html
	$(MAKE) -C adminguide html JADEFLAGS='-V html-manifest'
	cd adminguide && $(TAR) -cf ../$@ `cat HTML.manifest` `echo *.gif | grep -v '\*'` *.css

=== share/Makefile ===
# ----------
# Makefile for share
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	$Id: Makefile,v 1.4.2.1 2009-08-17 17:39:57 devrim Exp $
# ----------

slony_subdir = share
slony_top_builddir = ..
include $(slony_top_builddir)/Makefile.global

DISTFILES = Makefile slon.conf-example

CONF_NAMES = slon.conf-sample

install: 
	for file in $(CONF_NAMES); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(sysconfdir) || exit ; \
	done

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/Makefile ===
# ----------
# Makefile for src
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	$Id: Makefile,v 1.13.2.3 2009-08-17 17:39:57 devrim Exp $
# ----------

slony_subdir = src
slony_top_builddir = ..
include $(slony_top_builddir)/Makefile.global

DISTFILES = Makefile
SUBDIRS = xxid parsestatements slon slonik backend ducttape
ifeq ($(PORTNAME),win32)
SUBDIRS += slevent
else
SUBDIRS += slony_logshipper
endif

all install installdirs clean distclean maintainer-clean:
	@for subdir in $(SUBDIRS) ; do \
	  $(MAKE) -C $$subdir $@ || exit; \
    done

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	@for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done
	@for subdir in $(SUBDIRS) ; do \
	  $(MAKE) -C $$subdir distdir || exit; \
    done

=== tools/Makefile ===
# ----------
# Makefile for doc
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	$Id: Makefile,v 1.5.2.1 2009-08-17 17:39:58 devrim Exp $
# ----------

slony_subdir = tools
slony_top_builddir = ..
include $(slony_top_builddir)/Makefile.global

SUBDIRS = altperl

DISTFILES = Makefile slony_setup.pl generate_syncs.sh slony1_extract_schema.sh

all install installdirs clean distclean maintainer-clean:
	for subdir in $(SUBDIRS) ; do \
          $(MAKE) -C $$subdir $@ || exit; \
        done


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done
	for subdir in $(SUBDIRS) ; do \
		$(MAKE) -C $$subdir distdir || exit; \
	done

=== doc/concept/Makefile ===
# ----------
# Makefile for the Slony-I concept paper
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
# $Id: Makefile,v 1.13.2.1 2009-08-17 17:39:57 devrim Exp $
# ----------

slony_subdir = doc/concept
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

GOPTS	= -U -t -p -ms -mpspic

# IMG_WID	= 1799
# IMG_HT	= 1440
IMG_WID	= 900
IMG_HT	= 720

SRC_CONCEPT =	Slony-I-concept.nr	\
				Makefile			\
				figure-1.pic		\
				figure-2.pic		\
				figure-3.pic		\
				figure-4.pic		\
				Slon.eps

PDF		= Slony-I-concept.pdf

PS		= Slony-I-concept.ps

TXT		= Slony-I-concept.txt

DISTFILES = Makefile $(wildcard *.pic) Slon_900x720.jpg Slony-I-concept.nr

all:		all-ps all-pdf all-txt

all-ps:		Slon.eps $(PS)

all-pdf:	Slon.eps $(PDF)

all-txt:	Slon.eps $(TXT)

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/concept
endif

install: installdirs all
ifdef docdir
	for file in $(PS) $(PDF) $(TXT) Slon_$(IMG_WID)x$(IMG_HT).jpg ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/concept || exit; \
	done
endif

clean distclean maintainer-clean:
	rm -f $(PS) $(PDF) $(TXT) tmp.* Slon.eps

Slony-I-concept.ps:		$(SRC_CONCEPT)
Slony-I-concept.pdf:	$(SRC_CONCEPT)
Slony-I-concept.txt:	$(SRC_CONCEPT)

Slon.eps:	Slon_$(IMG_WID)x$(IMG_HT).jpg
ifdef DJPEG
  ifdef PNMTOPS
		$(DJPEG) $< | $(PNMTOPS) -rle -noturn >$@
  else
    ifdef CONVERT
		$(CONVERT) $< >$@ || echo "unable to create $@ from $<"
    else
		@echo "unable to create $@ from $<"
    endif
  endif
else
  ifdef CONVERT
		$(CONVERT) $< >$@ || echo "unable to create $@ from $<"
  else
		@echo "unable to create $@ from $<"
  endif
  
endif

%.ps:	%.nr
ifdef GROFF
		@echo ".XS 1"	> tmp.idx
		@echo "dummy"	>>tmp.idx
		@echo ".XE"		>>tmp.idx
		@echo ""		> tmp.old
		-$(GROFF) $(GOPTS) $< >$@ 2>/dev/null
		@n=0 ; \
		while ! cmp tmp.idx tmp.old >/dev/null ; do \
			cp tmp.idx tmp.old ; \
			n=`expr $$n + 1` ; \
			if [ $$n -gt 10 ] ; then break ; fi ; \
			echo "$(GROFF) $(GOPTS) $< >$@" ; \
			$(GROFF) $(GOPTS) $< >$@ ; \
		done
		@rm -f tmp.*
endif

%.txt:	%.nr
ifdef GROFF
		@echo ".XS 1"	> tmp.idx
		@echo "dummy"	>>tmp.idx
		@echo ".XE"		>>tmp.idx
		@echo ""		> tmp.old
		-$(GROFF) -Tlatin1 $(GOPTS) $< >$@ 2>/dev/null
		@n=0 ; \
		while ! cmp tmp.idx tmp.old >/dev/null ; do \
			cp tmp.idx tmp.old ; \
			n=`expr $$n + 1` ; \
			if [ $$n -gt 10 ] ; then break ; fi ; \
			echo "$(GROFF) -Tlatin1 $(GOPTS) $< >$@" ; \
			$(GROFF) -Tlatin1 $(GOPTS) $< >$@ ; \
		done
		@rm -f tmp.*
endif

%.pdf:	%.ps
ifdef PS2PDF
		$(PS2PDF) $<
endif

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== doc/howto/Makefile ===
# ----------
# Makefile for the HOWTOs
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#
# ----------

slony_subdir = doc/howto
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

DISTFILES = Makefile $(wildcard *.txt*) $(wildcard *.html*)

distdir: $(DISTFILES)
	mkdir -p $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

all:

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/howto
endif

install: all installdirs
ifdef docdir
	for file in $(wildcard *.txt) $(wildcard *.html ); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/howto || exit; \
	done
endif

clean:

=== doc/implementation/Makefile ===
# ----------
# Makefile for the Slony-I implementation paper
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
# $Id: Makefile,v 1.12.2.1 2009-08-17 17:39:57 devrim Exp $
# ----------

slony_subdir = doc/implementation
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

GOPTS	= -U -t -p -ms -mpspic

# IMG_WID	= 1799
# IMG_HT	= 1440
IMG_WID	= 900
IMG_HT	= 720

SRC_CONCEPT =	Slony-I-implementation.nr	\
				Makefile			\
				figure-1.pic		\
				figure-2.pic		\
				Slon.eps

PDF		= Slony-I-implementation.pdf

PS		= Slony-I-implementation.ps

TXT		= Slony-I-implementation.txt

DISTFILES = Makefile $(wildcard *.pic) Slon_900x720.jpg Slony-I-implementation.nr

all:		all-ps all-pdf all-txt

all-ps:		Slon.eps $(PS)

all-pdf:	Slon.eps $(PDF)

all-txt:	Slon.eps $(TXT)

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/implementation
endif

install: all installdirs
ifdef docdir
	for file in $(PS) $(PDF) $(TXT) Slon.eps Slon_$(IMG_WID)x$(IMG_HT).jpg ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/implementation || exit; \
	done
endif

clean distclean maintainer-clean:
	rm -f $(PS) $(PDF) $(TXT) tmp.* Slon.eps

Slony-I-implementation.ps:	$(SRC_CONCEPT)
Slony-I-implementation.pdf:	$(SRC_CONCEPT)
Slony-I-implementation.txt:	$(SRC_CONCEPT)

Slon.eps:	Slon_$(IMG_WID)x$(IMG_HT).jpg
ifdef DJPEG
  ifdef PNMTOPS
		$(DJPEG) $< | $(PNMTOPS) -rle -noturn >$@
  else
    ifdef CONVERT
		$(CONVERT) $< >$@ || echo "unable to create $@ from $<"
    else
		@echo "unable to create $@ from $<"
    endif
  endif
else
  ifdef CONVERT
		$(CONVERT) $< >$@ || echo "unable to create $@ from $<"
  else
		@echo "unable to create $@ from $<"
  endif
endif

%.ps:	%.nr
ifdef GROFF
		@echo ".XS 1"	> tmp.idx
		@echo "dummy"	>>tmp.idx
		@echo ".XE"		>>tmp.idx
		@echo ""		> tmp.old
		-$(GROFF) $(GOPTS) $< >$@ 2>/dev/null
		@n=0 ; \
		while ! cmp tmp.idx tmp.old >/dev/null ; do \
			cp tmp.idx tmp.old ; \
			n=`expr $$n + 1` ; \
			if [ $$n -gt 10 ] ; then break ; fi ; \
			echo "$(GROFF) $(GOPTS) $< >$@" ; \
			$(GROFF) $(GOPTS) $< >$@ ; \
		done
		@rm -f tmp.*
endif

%.txt:	%.nr
ifdef GROFF
		@echo ".XS 1"	> tmp.idx
		@echo "dummy"	>>tmp.idx
		@echo ".XE"		>>tmp.idx
		@echo ""		> tmp.old
		-$(GROFF) -Tlatin1 $(GOPTS) $< >$@ 2>/dev/null
		@n=0 ; \
		while ! cmp tmp.idx tmp.old >/dev/null ; do \
			cp tmp.idx tmp.old ; \
			n=`expr $$n + 1` ; \
			if [ $$n -gt 10 ] ; then break ; fi ; \
			echo "$(GROFF) -Tlatin1 $(GOPTS) $< >$@" ; \
			$(GROFF) -Tlatin1 $(GOPTS) $< >$@ ; \
		done
		@rm -f tmp.*
endif

%.pdf:	%.ps
ifdef PS2PDF
		$(PS2PDF) $<
endif

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/backend/Makefile ===
# ----------
# Makefile for src/backend
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	$Id: Makefile,v 1.22.2.3 2009-08-17 17:39:57 devrim Exp $
# ----------

slony_subdir = src/backend
slony_top_builddir = ../..
SLFILEDESC="Slony replication functions"
SO_NAME = $(NAME)$(DLSUFFIX)
include $(slony_top_builddir)/Makefile.global

override CFLAGS += -I$(slony_top_builddir) $(CFLAGS_SL)

NAME		= slony1_funcs

SO_OBJS	= $(NAME).o $(WIN32RES)

BASE_COMMON		= slony1_base.sql
FUNCS_COMMON	= slony1_funcs.sql

BASE_74			= slony1_base.v74.sql
FUNCS_74		= slony1_funcs.v74.sql

BASE_80			= slony1_base.v80.sql
FUNCS_80		= slony1_funcs.v80.sql

BASE_81			= slony1_base.v81.sql
FUNCS_81		= slony1_funcs.v81.sql

SQL_NAMES =				\
	$(BASE_COMMON)		\
	$(FUNCS_COMMON)		\
	$(BASE_74)			\
	$(FUNCS_74)			\
	$(BASE_80)			\
	$(FUNCS_80)			\
	$(BASE_81)			\
	$(FUNCS_81)

DISTFILES = Makefile README README.events $(wildcard *.sql) $(wildcard *.in) $(wildcard *.c)

ALL = $(SQL_NAMES)		\
	$(SO_NAME)


all:	$(ALL)

$(SO_NAME):	$(SO_OBJS)

clean distclean maintainer-clean:
	rm -f $(SO_NAME) $(SO_OBJS)

install: all installdirs
	$(INSTALL_SCRIPT) $(SO_NAME) $(DESTDIR)$(pgpkglibdir)
	for file in $(SQL_NAMES); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(pgsharedir) || exit ; \
	done


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pgpkglibdir)
	$(mkinstalldirs) $(DESTDIR)$(pgsharedir)



distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/ducttape/Makefile ===
# ----------
# Makefile for src/ducttape
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	$Id: Makefile,v 1.12.2.2 2009-08-17 17:39:57 devrim Exp $
# ----------

slony_subdir = src/ducttape
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

TESTSSRC = `ls test_[0-9A-Z]_*.in`
TESTS = `ls test_[0-9A-Z]_*.in | sed -e 's/\.in//'`
DISTFILES = Makefile README $(TESTSSRC)
ALL =


all:	$(ALL)
	@for script in $(TESTS); do \
		if test x"$(host_os)" = "xmingw32"; then \
			sed -e 's/TERMPROG=xterm/TERMPROG=rxvt/' -e 's/WHICHPROG=which/WHICHPROG=\/bin\/which/' $$script.in > $$script; \
		else \
			cp $$script.in $$script; \
		fi; \
	done

clean distclean maintainer-clean:
	@for script in $(TESTS); do \
		if [ -f $$script ]; then \
			rm -f $$script; \
		fi; \
	done;\
	rm -rf dump.tmp.*
	rm -rf offline_dump.sql offline_logs

install: all installdirs


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(bindir)

test:
	for script in $(TESTS) ; do \
	  ./$$script || exit; \
	done

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/slon/Makefile ===
# ----------
# Makefile for src/slon
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	$Id: Makefile,v 1.41.2.1 2009-08-17 17:39:57 devrim Exp $
# ----------

slony_subdir = src/slon
slony_top_builddir = ../..
SLFILEDESC="Slony replication engine"
include $(slony_top_builddir)/Makefile.global

CC = $(PTHREAD_CC)

override CFLAGS += $(PTHREAD_CFLAGS) -I$(slony_top_builddir) -I$(slony_top_builddir)/$(slony_subdir)
override LDFLAGS += $(PTHREAD_LIBS)

PROG		= slon

ifeq ($(PORTNAME), win)
PROG            = slon.exe
endif
ifeq ($(PORTNAME), win32)
PROG            = slon.exe
endif

OBJS		= \
	slon.o			\
	runtime_config.o	\
	local_listen.o		\
	remote_listen.o		\
	remote_worker.o		\
	sync_thread.o		\
	cleanup_thread.o	\
	scheduler.o		\
	dbutils.o		\
	conf-file.o		\
	confoptions.o		\
	misc.o                  \
	../parsestatements/scanner.o

ifdef HAVE_NETSNMP
OBJS+= snmp_thread.o
override LDFLAGS+= ${NETSNMP_AGENTLIBS}
endif

ifeq ($(PORTNAME), win32)
OBJS += port/pipe.o port/win32service.o $(WIN32RES)
override LDFLAGS += -lwsock32
endif


DISTFILES = Makefile README $(wildcard *.c) $(wildcard port/*.c) $(wildcard *.h) $(wildcard *.l) $(wildcard *.y)

ALL =				\
	$(PROG)


all:	$(ALL)

$(PROG):	$(OBJS)
	$(CC) $(CFLAGS) -o $(PROG) $(OBJS) $(PTHREAD_CFLAGS) $(LDFLAGS)

cleanup_thread.o:	cleanup_thread.c slon.h
dbutils.o:			dbutils.c slon.h
local_listen.o:		local_listen.c slon.h
misc.o:				misc.c slon.h
remote_listen.o:	remote_listen.c slon.h
remote_worker.o:	remote_worker.c slon.h
runtime_config.o:	runtime_config.c slon.h
scheduler.o:		scheduler.c slon.h
slon.o:				slon.c slon.h
sync_thread.o:		sync_thread.c slon.h
conf-file.o:		conf-file.c slon.h confoptions.h
confoptions.o:		confoptions.c slon.h confoptions.h

snmp_thread.o:		snmp_thread.c slon.h
	$(CC) $(PTHREAD_CFLAGS) $(CFLAGS) $(NETSNMP_CFLAGS) -DHAVE_NETSNMP -c $< -o $@

conf-file.c:		conf-file.l
ifdef FLEX
	$(FLEX) $(FLEXFLAGS) -o'$@' $<
else
	@echo "Missing flex $< $@"
	@exit
endif

clean distclean:
	rm -f $(ALL) $(OBJS) $(PROG).core

maintainer-clean: clean
	rm -f conf-file.c

install: all installdirs
	$(INSTALL_SCRIPT) $(PROG) $(DESTDIR)$(slonbindir)


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(slonbindir)



distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/slonik/Makefile ===
# ----------
# Makefile for src/slonik
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	$Id: Makefile,v 1.24.2.3 2009-08-17 17:39:58 devrim Exp $
# ----------

slony_subdir = src/slonik
slony_top_builddir = ../..
SLFILEDESC="Slony command interpreter"
include $(slony_top_builddir)/Makefile.global

ifeq ($(PORTNAME), aix)
  CFLAGS += -D_LARGE_FILES
endif

CFLAGS += -I$(slony_top_builddir) -DPGSHARE="\"$(pgsharedir)\"" -DPG_VERSION_MAJOR=$(PG_VERSION_MAJOR)
ifneq ($(PG_VERSION_MAJOR), 7)
LDFLAGS += -lpgport
endif

PROG		= slonik

ifeq ($(PORTNAME), win)
PROG            = slonik.exe
endif
ifeq ($(PORTNAME), win32)
PROG            = slonik.exe
endif
LDFLAGS += $(filter -lcrypto -lz, $(LIBS))

OBJS		= 			\
	slonik.o			\
	dbutil.o			\
	parser.o $(WIN32RES)            \
	../parsestatements/scanner.o

DISTFILES = Makefile $(wildcard *.c) $(wildcard *.h) $(wildcard *.l) $(wildcard *.y)

ALL =					\
	$(PROG)


all:	$(ALL)

$(PROG):	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $(PROG)
slonik.o:			slonik.c slonik.h
dbutil.o:			dbutil.c slonik.h
parser.o:			parser.c scan.c

parser.c:			parser.y slonik.h
ifdef YACC
	$(YACC) -d $(YFLAGS) $<
	mv -f y.tab.c parser.c
else
	@echo "Missing yacc $< $@"
	@exit 1
endif

scan.c:				scan.l slonik.h
ifdef FLEX 
	$(FLEX) $(FLEXFLAGS) -o'$@' $<
else
	@echo "Missing flex $< $@"
	@exit
endif

clean distclean:
	rm -f $(ALL) $(OBJS) $(PROG).core

maintainer-clean:	clean
	rm -f parser.c scan.c y.tab.h

install: all installdirs
	$(INSTALL_SCRIPT) $(PROG) $(DESTDIR)$(slonbindir)


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(slonbindir)


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== src/slony_logshipper/Makefile ===
# ----------
# Makefile for src/slony_logshipper
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	$Id: Makefile,v 1.1.2.2 2009-08-17 17:39:58 devrim Exp $
# ----------

slony_subdir = src/slony_logshipper
slony_top_builddir = ../..
SLFILEDESC="Slony command interpreter"
include $(slony_top_builddir)/Makefile.global

ifeq ($(PORTNAME), aix)
  CFLAGS += -D_LARGE_FILES
endif

CFLAGS += -I$(slony_top_builddir) -DPGSHARE="\"$(pgsharedir)\"" 


PROG		= slony_logshipper

ifeq ($(PORTNAME), win)
PROG            = slony_logshipper.exe
LDFLAG		= $(LDFLAG) -lpgport
endif
ifeq ($(PORTNAME), win32)
PROG            = slony_logshipper.exe
LDFLAG		= $(LDFLAG) -lpgport
endif

OBJS		= 					\
	slony_logshipper.o			\
	dbutil.o					\
	ipcutil.o					\
	parser.o $(WIN32RES)		\
	../parsestatements/scanner.o

DISTFILES = Makefile $(wildcard *.c) $(wildcard *.h) $(wildcard *.l) $(wildcard *.y)

ALL =					\
	$(PROG)


all:	$(ALL)

$(PROG):	$(OBJS)
	$(CC) $(CFLAGS) $(OBJS) $(LDFLAGS) -o $(PROG)
slony_logshipper.o:			slony_logshipper.c slony_logshipper.h
dbutil.o:			dbutil.c slony_logshipper.h
parser.o:			parser.c scan.c

parser.c:			parser.y slony_logshipper.h
ifdef YACC
	$(YACC) -d $(YFLAGS) $<
	mv -f y.tab.c parser.c
else
	@echo "Missing yacc $< $@"
	@exit 1
endif

scan.c:				scan.l slony_logshipper.h
ifdef FLEX 
	$(FLEX) $(FLEXFLAGS) -o'$@' $<
else
	@echo "Missing flex $< $@"
	@exit
endif

clean distclean:
	rm -f $(ALL) $(OBJS) $(PROG).core
	rm -f parser.c scan.c y.tab.h

maintainer-clean:	clean
	rm -f parser.c scan.c y.tab.h

install: all installdirs
	$(INSTALL_SCRIPT) $(PROG) $(DESTDIR)$(slonbindir)


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(slonbindir)


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

=== debian/changelog ===
slony1 (1.2.21-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Sat, 17 Apr 2010 23:06:42 +0300

slony1 (1.2.20-4) unstable; urgency=low

  * Apply log file permission change also to Perl tools start method

 -- Peter Eisentraut <petere@debian.org>  Mon, 05 Apr 2010 16:50:44 +0000

slony1 (1.2.20-3) unstable; urgency=low

  * Added altperl tools man pages to clean rule
  * Make log files not readable by world, and instead relax permissions on
    /var/log/slony1 directory.  This brings slony1 in line with the
    postgresql package and general practice.
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Mon, 22 Mar 2010 23:15:08 +0200

slony1 (1.2.20-2) unstable; urgency=low

  * Allow /etc/default/slony1 to take plain node numbers, consistent with
    slon_start, and clarify the documentation about what the expected format
    is.
  * Removed redundant punctuation in calls to log_success_msg/log_failure_msg

 -- Peter Eisentraut <petere@debian.org>  Sun, 03 Jan 2010 22:19:27 +0200

=== debian/control ===
Source: slony1
Section: database
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Build-Depends: autotools-dev, bison, cdbs, debhelper (>= 7), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, flex, ghostscript, groff, libjpeg-progs, libpq-dev, netpbm, openjade, opensp, postgresql-server-dev-8.4
Standards-Version: 3.8.4
Homepage: http://slony.info/

Package: slony1-bin
Architecture: any
Depends: postgresql-common, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: postgresql-8.4-slony1, libdbd-pg-perl, ntp | openntpd | chrony
Suggests: slony1-doc
Description: replication system for PostgreSQL: daemon and administration tools
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the slon daemon and the slonik administration tool.
 It should be installed on those hosts where Slony-I daemons are to be run
 or administered, which usually, but not necessarily, are the hosts where
 the database server nodes are running.

Package: postgresql-8.4-slony1
Architecture: any
Depends: postgresql-8.4, ${misc:Depends}, ${shlibs:Depends}
Suggests: slony1-bin
Description: replication system for PostgreSQL: PostgreSQL server plug-in
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the support functions that are loaded into the
 PostgreSQL database server.  It needs to be installed on the hosts where
 the database server nodes are running.  This package works with version
 8.4 of the PostgreSQL server; you need the package that corresponds to
 the version of your database server.
 .
 The actual replication daemon and the administration tools are in the
 package slony1-bin.  This package is useless without slony1-bin installed
 somewhere in the network.

Package: slony1-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Slony-I documentation
 Slony-I is an asynchronous master-to-multiple-slaves replication system
 for PostgreSQL with cascading and slave promotion.
 .
 This package contains the documentation for the Slony-I system.  It is
 not required for normal operation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = \
	--with-docs \
	--with-pgconfigdir=/usr/lib/postgresql/8.4/bin \
	--with-pgsharedir=/usr/share/slony1 \
	--with-pgpkglibdir=/usr/lib/postgresql/8.4/lib \
	--sysconfdir=/etc/slony1 \
	--with-perlsharedir=/usr/share/slony1 \
	--with-docdir=NOTUSED \
	--with-perltools

DEB_DH_INSTALLINIT_ARGS = --name=slony1
DEB_DH_INSTALLLOGROTATE_ARGS = --name=slony1
DEB_INSTALL_DOCS_ALL = $(addprefix -X,[^1]\.1 [^7]\.7 \.dia \.dsl \.sgml \.sql \.xml \.xsl HTML\.index Makefile)
DEB_COMPRESS_EXCLUDE = \.pl \.sh

binary-post-install/slony1-bin::
	rm debian/$(cdbs_curpkg)/usr/bin/show_configuration

clean::
	rm -f doc/adminguide/slony.xml

altperl_scripts = slon_kill slon_start slon_watchdog slon_watchdog2 slonik_build_env \
	slonik_create_set slonik_drop_node slonik_drop_sequence slonik_drop_set slonik_drop_table slonik_execute_script \
	slonik_failover slonik_init_cluster slonik_merge_sets slonik_move_set slonik_print_preamble slonik_restart_node \
	slonik_store_node slonik_subscribe_set slonik_uninstall_nodes slonik_unsubscribe_set slonik_update_nodes \
	slony_show_configuration

build/slony1-bin::
	for f in $(altperl_scripts); do \
	  sed "s/@program@/$$f/g;s/@PROGRAM@/\U$$f/g" debian/altperl.1.in >debian/$$f.1 || exit $?; \
	done

clean::
	rm -f $(altperl_scripts:%=debian/%.1)

=== debian/watch ===
version=3
http://www.slony.info/downloads/1.2/source/slony1-([0-9.]+).tar.bz2  debian  uupdate

## slony1 1.2.22

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #	Copyright (c) 2003-2009, PostgreSQL Global Development Group
 #	Author: Jan Wieck, Afilias USA INC.
 #
-#	$Id: Makefile,v 1.13.2.3 2009-08-17 17:39:57 devrim Exp $
+#	
 # ----------
 
 slony_subdir = src

=== doc/adminguide/Makefile ===
#----------------------------------------------------------------------------
#
# PostgreSQL documentation makefile
#
# 
#
#----------------------------------------------------------------------------

subdir = doc/adminguide
slony_top_builddir = ../..

include $(slony_top_builddir)/Makefile.global

.SECONDARY:
.NOTPARALLEL:


GENERATED_SGML = bookindex.sgml version.sgml

ALLSGML = $(wildcard $(srcdir)/*.sgml) $(GENERATED_SGML)
DISTFILES = $(ALLSGML) $(GENERATED_SGML)

ifdef DOCBOOKSTYLE
CATALOG = -c $(DOCBOOKSTYLE)/catalog
endif

# Enable draft mode during development
ifneq (,$(findstring devel, $(VERSION)))
override JADEFLAGS += -V draft-mode
endif

# docbook2man generates man pages from docbook refentry source code.
ifdef D2MDIR
D2MSCRIPT=$(D2MDIR)/docbook2man-spec.pl
endif

# Enable some extra warnings
override SPFLAGS += -wall -wno-unused-param -wno-empty -wfully-tagged

##
## Man pages
##

.PHONY: man


man: man.sgml $(ALLSGML)
ifdef NSGMLS
ifdef SGMLSPL
ifdef D2MSCRIPT
	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
# One more time, to resolve cross-references
	$(NSGMLS) $(NSGMLS_FLAGS) $< | $(SGMLSPL) $(D2MSCRIPT) --lowercase --date "`date '+%Y-%m-%d'`"
	mkdir -p man1 man7
	mv *.1 man1/
	mv *.7 man7/
endif
endif
endif

##
## HTML
##

all: html man

installdirs:
ifdef docdir
	$(mkinstalldirs) $(DESTDIR)$(docdir)/sgml
	$(mkinstalldirs) $(DESTDIR)$(docdir)/html
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man1
	$(mkinstalldirs) $(DESTDIR)$(mandir)/man7
endif

install: installdirs
ifdef docdir
	for file in $(wildcard $(srcdir)/*.sgml) ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/sgml || exit; \
	done
	for file in $(wildcard man1/*) ; do \
	   $(INSTALL_DATA) $$file $(DESTDIR)$(mandir)/man1 || exit;\
	done
	for file in $(wildcard man7/*) ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(mandir)/man7 || exit;\
	done
	for file in $(wildcard *.html) stylesheet.css ; do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(docdir)/html || exit;\
	done
endif

.PHONY: html

ifndef JADE
html:
	@echo "You must have jade installed to build the documentation." && exit;
else
html: slony.sgml $(ALLSGML) stylesheet.dsl
	@rm -f *.html ;\
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -ioutput-html -t sgml $<
ifeq ($(vpath_build), yes)
	@cp $(srcdir)/stylesheet.css .
endif
endif

COLLATEINDEX := LC_ALL=C $(PERL) $(COLLATEINDEX) -f -g

ifdef JADE
ifeq (,$(wildcard HTML.index))
bookindex.sgml:
	$(COLLATEINDEX) -o $@ -N
else
bookindex.sgml: HTML.index
	$(COLLATEINDEX) -i 'bookindex' -o $@ $<
endif
else
bookindex.sgml:
	@echo "You must have jade to build the documentation" && exit
endif

##
## Print
##

# RTF to allow minor editing for hardcopy

%.rtf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t rtf -V rtf-backend -ioutput-print $<

# TeX
# Regular TeX and pdfTeX have slightly differing requirements, so we
# need to distinguish the path we're taking.

%.tex-ps: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texdvi-output -o $@ $<

%.tex-pdf: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t tex -V tex-backend -ioutput-print -V texpdf-output -o $@ $<

%.dvi: %.tex-ps
	@rm -f $*.aux $*.log
	jadetex $<
	jadetex $<
	jadetex $<

# Postscript from TeX
%.ps: %.dvi
	dvips -o $@ $<

%.pdf: %.tex-pdf
	@rm -f $*.aux $*.log $*.out
	pdfjadetex $<
	pdfjadetex $<
	pdfjadetex $<


# This generates an XML version of the flow-object tree.  It's useful
# for debugging DSSSL code, and possibly to interface to some other
# tools that can make use of this.
%.fot: %.sgml $(ALLSGML) stylesheet.dsl
	$(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -t fot -i output-print -o $@ $<


# Graphics

%.gif:
	cp $(srcdir)/../graphics/$@ .

%.eps: %.gif
	$(CONVERT) $< eps:$@

%.pdf: %.eps
	$(EPSTOPDF) $<


##
## Semi-automatic generation of some text files.
##

JADE.text = $(JADE) $(JADEFLAGS) $(SGMLINCLUDE) $(CATALOG) -d stylesheet.dsl -i output-text -t sgml
LYNX = lynx

INSTALL HISTORY regress_README: % : %.html
	$(PERL) -p -e 's/<H(1|2)$$/<H\1 align=center/g' $< | $(LYNX) -force_html -dump -nolist -stdin >$@

INSTALL.html: standalone-install.sgml installation.sgml 
	$(JADE.text) -V nochunks standalone-install.sgml installation.sgml >$@

HISTORY.html: release.sgml
	( echo '<!doctype appendix PUBLIC "-//OASIS//DTD DocBook V4.2//EN">'; \
	  cat $< ) >tempfile_HISTORY.sgml
	$(JADE.text) -V nochunks tempfile_HISTORY.sgml >$@
	rm tempfile_HISTORY.sgml

regress_README.html: regress.sgml
	( echo '<!doctype chapter PUBLIC "-//OASIS//DTD DocBook V4.2//EN" ['; \
	  echo '<!entity % standalone-ignore "IGNORE"> ]>'; \
	  cat $< ) >tempfile_regress_README.sgml
	$(JADE.text) -V nochunks tempfile_regress_README.sgml >$@
	rm tempfile_regress_README.sgml


##
## Experimental XML stuff
##

OSX = osx # (may be called sx or sgml2xml on some systems)
XSLTPROC = xsltproc

slony.xml: slony.sgml $(GENERATED_SGML)
	$(OSX) -x lower $< | \
	  sed -e 's/\[\(lt\|gt\|amp\|nbsp\|copy\|quot\|ouml\|uuml\|egrave\) *\]/\&\1;/g' \
	      -e '1a\' -e '<!DOCTYPE book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd">' \
	  >$@

testxml: stylesheet.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^

htmlhelp: stylesheet-hh.xsl slony.xml
	$(XSLTPROC) $(XSLTPROCFLAGS) --stringparam pg.version '$(VERSION)' $^


##
## Check
##

# Quick syntax check without style processing
check: slony.sgml $(ALLSGML) $(GENERATED_SGML)
	$(NSGMLS) $(SPFLAGS) $(SGMLINCLUDE) -s $<


##
## Clean
##

clean distclean maintainer-clean:
# HTML
	rm -f HTML.manifest *.html *.gif
# man
	rm -rf *.1 *.7 man1 man7 manpage.refs manpage.links manpage.log
# print
	rm -f *.rtf *.tex-ps *.tex-pdf *.dvi *.aux *.log *.ps *.pdf *.out *.eps *.fot
# index
	rm -f HTML.index $(GENERATED_SGML)
# text
	rm -f INSTALL HISTORY

BASEDIR=$(slony_top_builddir)/src/backend
BASESQL=$(BASEDIR)/slony1_base.sql
BASEFUNS=$(BASEDIR)/slony1_funcs.sql
XIDSQL=localxid.sql
TEMPDB=schemadoc
TEMPSCHEMA=schemadoc
CREATELANG=$(pgbindir)/createlang   # That's how it is for me...
PGAUTODOC=/usr/bin/postgresql_autodoc

schemadoc.xml: $(BASESQL) $(BASEFUNS) $(XIDDIR)
	@$(pgbindir)/createdb $(TEMPDB) && ( \
	$(CREATELANG) plpgsql $(TEMPDB) 2>/dev/null ; \
	echo "drop schema $(TEMPSCHEMA);create schema $(TEMPSCHEMA);" | $(pgbindir)/psql $(TEMPDB) && \
	cat $(XIDSQL) $(BASEFUNS) $(BASESQL) |  sed -e "s/@NAMESPACE@/$(TEMPSCHEMA)/g"  -e "s/@CLUSTERNAME@/$(TEMPSCHEMA)/g" | $(pgbindir)/psql $(TEMPDB) && \
	$(PGAUTODOC) -d $(TEMPDB) -s $(TEMPSCHEMA) -t xml -f schemadoc ;\
	sed -i.bak -e "s/$(TEMPSCHEMA)\.//g" -e "s@<book.*>@@g" -e "s@</book.*>@@g" schemadoc.xml ;\
	rm  schemadoc.xml.bak ;\
	$(pgbindir)/dropdb $(TEMPDB) >/dev/null 2>&1 \
	) || echo "unable to createdb $(TEMPDB)"

version.sgml:	$(slony_top_builddir)/Makefile.global
	{ \
	echo "<!entity version \"$(VERSION)\">"; \
	echo "<!entity majorversion \"`expr $(VERSION) : '\([0-9][0-9]*\.[0-9][0-9]*\)'`\">"; \
	} >$@

distdir:	$(DISTFILES)
	mkdir -p $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	@for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done

=== src/backend/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #	Copyright (c) 2003-2009, PostgreSQL Global Development Group
 #	Author: Jan Wieck, Afilias USA INC.
 #
-#	$Id: Makefile,v 1.22.2.3 2009-08-17 17:39:57 devrim Exp $
+#	
 # ----------
 
 slony_subdir = src/backend
@@ -31,6 +31,9 @@
 BASE_81			= slony1_base.v81.sql
 FUNCS_81		= slony1_funcs.v81.sql
 
+BASE_84			= slony1_base.v84.sql
+FUNCS_84		= slony1_funcs.v84.sql
+
 SQL_NAMES =				\
 	$(BASE_COMMON)		\
 	$(FUNCS_COMMON)		\
@@ -39,7 +42,9 @@
 	$(BASE_80)			\
 	$(FUNCS_80)			\
 	$(BASE_81)			\
-	$(FUNCS_81)
+	$(FUNCS_81) \
+	$(BASE_84) \
+	$(FUNCS_84)
 
 DISTFILES = Makefile README README.events $(wildcard *.sql) $(wildcard *.in) $(wildcard *.c)

=== src/ducttape/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #	Copyright (c) 2003-2009, PostgreSQL Global Development Group
 #	Author: Jan Wieck, Afilias USA INC.
 #
-#	$Id: Makefile,v 1.12.2.2 2009-08-17 17:39:57 devrim Exp $
+#	
 # ----------
 
 slony_subdir = src/ducttape

=== src/slon/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #	Copyright (c) 2003-2009, PostgreSQL Global Development Group
 #	Author: Jan Wieck, Afilias USA INC.
 #
-#	$Id: Makefile,v 1.41.2.1 2009-08-17 17:39:57 devrim Exp $
+#	
 # ----------
 
 slony_subdir = src/slon

=== src/slonik/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #	Copyright (c) 2003-2009, PostgreSQL Global Development Group
 #	Author: Jan Wieck, Afilias USA INC.
 #
-#	$Id: Makefile,v 1.24.2.3 2009-08-17 17:39:58 devrim Exp $
+#	
 # ----------
 
 slony_subdir = src/slonik

=== src/slony_logshipper/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #	Copyright (c) 2003-2009, PostgreSQL Global Development Group
 #	Author: Jan Wieck, Afilias USA INC.
 #
-#	$Id: Makefile,v 1.1.2.2 2009-08-17 17:39:58 devrim Exp $
+#	
 # ----------
 
 slony_subdir = src/slony_logshipper
@@ -70,7 +70,6 @@
 
 clean distclean:
 	rm -f $(ALL) $(OBJS) $(PROG).core
-	rm -f parser.c scan.c y.tab.h
 
 maintainer-clean:	clean
 	rm -f parser.c scan.c y.tab.h

=== src/xxid/Makefile ===
# ----------
# Makefile for src/xxid
#
#	Copyright (c) 2003-2009, PostgreSQL Global Development Group
#	Author: Jan Wieck, Afilias USA INC.
#
#	
# ----------

slony_subdir = src/xxid
slony_top_builddir = ../..
SLFILEDESC = "Slony xxid datatype"
SO_NAME		= $(NAME)$(DLSUFFIX)
include $(slony_top_builddir)/Makefile.global
override CFLAGS += $(CFLAGS_SL)
override CFLAGS += -I$(slony_top_builddir)

NAME		= xxid

SQL_NAME74	= $(NAME).v74.sql
SQL_NAME80	= $(NAME).v80.sql
SQL_NAME81	= $(NAME).v81.sql
SQL_NAME84  	= $(NAME).v84.sql
SQL_NAMES	= $(SQL_NAME74) $(SQL_NAME80) $(SQL_NAME81) $(SQL_NAME84)
GENSQLNAMES = $(filter-out $(SQL_NAME74) $(SQL_NAME84), $(SQL_NAMES))

SO_OBJS		= xxid.o $(WIN32RES)

ALL =					\
	$(SO_NAME)			\
	$(SQL_NAMES)		\

DISTFILES = Makefile xxid.c xxid.v74.sql xxid.v84.sql

all:	$(ALL)

$(SQL_NAME80):	$(SQL_NAME74)
	cp $< $@

$(SQL_NAME81):	$(SQL_NAME80)
	cp $< $@

$(SO_NAME):     $(SO_OBJS) $(POSTGRES_IMP)

clean distclean maintainer-clean:
	rm -f $(SO_NAME) $(SO_OBJS)
	rm -f $(GENSQLNAMES)

install: all installdirs
	$(INSTALL_SCRIPT) $(SO_NAME) $(DESTDIR)$(pgpkglibdir)
	for file in $(SQL_NAMES); do \
	  $(INSTALL_DATA) $$file $(DESTDIR)$(pgsharedir) || exit ; \
	done


installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pgpkglibdir)
	$(mkinstalldirs) $(DESTDIR)$(pgsharedir)


distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
      cp $$file $(distdir)/$(subdir)/$$file || exit; \
    done

ifeq ($(PORTNAME), aix)
$(POSTGRES_IMP): $(pgbindir)/postgres
	$(MKLDEXPORT) $(pgbindir)/postgres > $@
endif

splint:
	splint -I $(pgincludedir) -I $(pgincludeserverdir) +unixlib -preproc +skip-sys-headers xxid.c

=== tools/altperl/Makefile ===
# ----------
# Makefile
#
#	Copyright (c) 2003-200, PostgreSQL Global Development Group
#       
#
# ----------

slony_subdir = tools/altperl
slony_top_builddir = ../..
include $(slony_top_builddir)/Makefile.global

DISTFILES = Makefile ToDo README $(wildcard *.pl) $(wildcard *.pm) slon_tools.conf-sample

all:
ifdef toolsbin
ifndef PERL
	@echo "The altperl tools require that Perl be installed."
	exit 1;
endif
ifndef SED
	@echo "sed is required to build the altperl tools."
	exit 1;
endif
	@for file in $(wildcard *.pl) $(wildcard *.pm); do \
		tmpname=`echo $$file | $(SED) "s#\.p[lm]##"` && \
		$(SED) -e "s#@@PERL@@#$(PERL)#;" \
                       -e "s#@@SYSCONFDIR@@#$(sysconfdir)#;" \
                       -e "s#@@PGLIBDIR@@#$(pglibdir)#;" \
                       -e "s#@@PGBINDIR@@#$(pgbindir)#;" \
                       -e "s#@@SLONBINDIR@@#$(slonbindir)#;" \
                       -e "s#@@TOOLSBIN@@#$(toolsbin)#;" \
                       $$file > $$tmpname && \
		chmod 755 $$tmpname \
		|| exit; \
	done
endif

install: installdirs
ifndef toolsbin
	@echo "The altperl tools won't be installed unless --with-perltools is specified in configure"
else
	$(INSTALL_DATA)   slon_tools.conf-sample $(DESTDIR)$(sysconfdir)
	$(INSTALL_DATA)   slon-tools             $(DESTDIR)$(perlsharedir)/slon-tools.pm
	for file in $(wildcard *.pl) ; do \
		tmpname=`echo $$file | $(SED) "s#\.pl##"` && \
		$(INSTALL_SCRIPT) $$tmpname $(DESTDIR)$(toolsbin) \
		|| exit; \
	done
endif

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(sysconfdir)
	$(mkinstalldirs) $(DESTDIR)$(pglibdir)
	$(mkinstalldirs) $(DESTDIR)$(toolsbin)

distdir: $(DISTFILES)
	mkdir $(distdir)/$(subdir)
	-chmod 777 $(distdir)/$(subdir)
	for file in $(DISTFILES) ; do \
		cp $$file $(distdir)/$(subdir)/$$file || exit; \
	done

clean distclean maintainer-clean:
	@for file in $(wildcard *.pl) $(wildcard *.pm); do \
		tmpname=`echo $$file | $(SED) "s#\.p[lm]##"` && \
		rm -f $$tmpname \
		|| exit; \
	done

=== debian/changelog ===
slony1 (1.2.22-1) unstable; urgency=low

  * New upstream release
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Wed, 08 Dec 2010 23:18:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Peter Eisentraut <petere@debian.org>
 Build-Depends: autotools-dev, bison, cdbs, debhelper (>= 7), docbook (>= 4.2), docbook-xml (>= 4.2), docbook2x (>= 0.8.8-4), docbook-dsssl, flex, ghostscript, groff, libjpeg-progs, libpq-dev, netpbm, openjade, opensp, postgresql-server-dev-8.4
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://slony.info/
 
 Package: slony1-bin
